package com.gh.common.view;

import android.content.Context;
import android.support.v4.view.ViewPager;
import android.util.AttributeSet;
import android.view.MotionEvent;

public class Gh_ViewPager extends ViewPager {

	public Gh_ViewPager(Context context) {
		this(context, null);
	}

	public Gh_ViewPager(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	@Override
	public boolean dispatchTouchEvent(MotionEvent event) {
		for (int i = 0; i < getChildCount(); i++) {
			getChildAt(i).dispatchTouchEvent(event);
		}
		return super.dispatchTouchEvent(event);
	}

}
